Bug 845412 - Bug in Administration and Configuration Guide
Bug in Administration and Configuration Guide
Status: CLOSED EOL
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Admin_and_Config_Guide (Show other bugs)
5.1.2
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Scott Mumford
Rajesh Rajasekaran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 22:23 EDT by Joshua Wilson
Modified: 2015-07-02 20:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-02 20:44:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wilson 2012-08-02 22:23:12 EDT
Description of problem: Reference to OLD EJB jar deployment methodology. 


Version-Release number of selected component (if applicable):


How reproducible: Go to 4.4.1. Deploy the EJB3 JAR:

http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/EJB3_Services-Package_and_Deploy_EJB3_Services.html#id2852613

This section appears to refer to an older version of EAP.  It points to "JBOSS_DIST/server/default/ejb3.deployer/META-INF/jboss-service.xml" when in fact it should point to "JBOSS_DIST/server/default/deployers/ejb3.deployer/META-INF/ejb3-deployers-jboss-beans.xml".  

Please note the difference in directory structure; deployers vs deploy.

On a side note, I don't think we should refer to "JBoss AS" but instead "JBoss EAP". I can explain why if needed.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Russell Dickenson 2012-08-02 23:09:51 EDT
Attention: smumford

Please clone this BZ ticket to a JIRA issue, affecting docs only, for the purpose of writing release notes.
Comment 2 Scott Mumford 2012-08-21 20:33:46 EDT
I've corrected the filepath as advised.

References to 'JBoss AS' had already been corrected.

The change will go live in the next release of EAP 5.

PS: Russell, if you see this, ping me about the release note.

Note You need to log in before you can comment on or make changes to this bug.